#!/bin/bash

# INPUT=../parser/$1.nib
# OUTBASEVTMP=$1.ghdl

KIND=$1
LEN=$2
INPUT=$3
OUTPUT=$4

OUTBASEVTMP=$OUTPUT.tmp

set -e

touch $OUTBASEVTMP.out
touch $OUTBASEVTMP.vcd

#--vcd=$OUTBASEVTMP.vcd \

tb_vhdl/sim/tb_rata$KIND \
    --stop-time=${LEN}000000ns \
    --wave=$OUTBASEVTMP.ghw \
    < $INPUT 2> \
    >(egrep -v "@(0ms|10ns|20ns).*NUMERIC_STD.(TO_INTEGER|\"=\")" \
	    1>&2) > \
    $OUTBASEVTMP.out || \
    (echo "SIM-FAIL: $OUTBASEVTMP     " ; \
     exit 1)

# diff -u $OUTBASEVTMP.good $OUTBASEVTMP.out.txt || \
#    ( echo "--- Failure while running: $INPUT" ; \
#      echo "---------------" ; false)

mv $OUTBASEVTMP.out $OUTPUT
